## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# This SDK component has no tests upstream yet. 😭
%bcond_with     tests

%global         srcname     azure-mgmt-servicelinker

Name:           python-%{srcname}
Version:        1.2.0~b1
%global         pypi_version 1.2.0b1
Release:        %autorelease
Summary:        Microsoft Azure Servicelinker Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{pypi_version} zip}

# NOTE(mhayden): Set an epoch number because I used 1.0.0b1 as a version as a mistake
# and 1.0.0~b2 sorts poorly with it. 🤦🏻‍♂️
Epoch:          1

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
%endif

%global _description %{expand:
Microsoft Azure Servicelinker Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{pypi_version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.2.0~b1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.2.0~b1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.2.0~b1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1:1.2.0~b1-4
- Rebuilt for Python 3.12

* Mon May 08 2023 Major Hayden <major@redhat.com> - 1:1.2.0~b1-3
- S

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.2.0~b1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Major Hayden <major@redhat.com> - 1:1.2.0~b1-1
- Update to 1.2.0b1

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 1:1.0.0-3
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1:1.0.0-2
- Rebuilt for Python 3.11

* Tue May 24 2022 Major Hayden <major@mhtx.net> - 1:1.0.0-1
- Update to 1.0.0

* Fri May 06 2022 Major Hayden <major@mhtx.net> - 1:1.0.0~b2-2
- ⬆ Bump release number for a new build

* Fri May 06 2022 Major Hayden <major@mhtx.net> - 1:1.0.0~b2-1
- Set epoch number

* Thu Apr 07 2022 Major Hayden <major@mhtx.net> - 1.0.0~b2-1
- Update to 1.0.0b2

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0b1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Nov 08 2021 Major Hayden <major@redhat.com> - 1.0.0b1-2
- First package for version 1.0.0b1 🎉

* Mon Nov 08 2021 Major Hayden <major@redhat.com> - 1.0.0b1-1
- Initial commit (#2019442)
## END: Generated by rpmautospec
